import ConfigExtensions from '../interfaces/config-extensions';
import ConfigIgnore from '../interfaces/config-ignore';
import ConfigFilter from '../interfaces/config-filter';
import SearchConfig from '../interfaces/search-config';
import SearchDepth from '../interfaces/search-depth';
import SearchType from '../interfaces/search-type';
import ConfigSort from '../interfaces/config-sort';
import TypeLevel from '../interfaces/type-level';
export declare class Dictionary {
    readonly type: SearchType;
    readonly searches: {
        url: SearchConfig;
        font: SearchConfig;
        img: SearchConfig;
        audio: SearchConfig;
        video: SearchConfig;
        stream: SearchConfig;
        javascript: SearchConfig;
        css: SearchConfig;
        php: SearchConfig;
    };
    constructor(type: SearchType);
    get config(): SearchConfig;
    get depth(): SearchDepth;
    get limit(): TypeLevel;
    get extensions(): ConfigExtensions;
    get sort(): ConfigSort;
    get ignore(): ConfigIgnore;
    get filter(): ConfigFilter;
}
export default Dictionary;
