import javascriptSearch from '../utils/searches/javascript-search';
import streamSearch from '../utils/searches/stream-search';
import videoSearch from '../utils/searches/video-search';
import audioSearch from '../utils/searches/audio-search';
import fontSearch from '../utils/searches/font-search';
import urlSearch from '../utils/searches/url-search';
import imgSearch from '../utils/searches/img-search';
import cssSearch from '../utils/searches/css-search';
import phpSearch from '../utils/searches/php-search';
var Dictionary = (function () {
    function Dictionary(type) {
        this.searches = {
            'url': urlSearch,
            'font': fontSearch,
            'img': imgSearch,
            'audio': audioSearch,
            'video': videoSearch,
            'stream': streamSearch,
            'javascript': javascriptSearch,
            'css': cssSearch,
            'php': phpSearch,
        };
        this.type = type;
    }
    Object.defineProperty(Dictionary.prototype, "config", {
        get: function () {
            return this.searches[this.type];
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Dictionary.prototype, "depth", {
        get: function () {
            return this.config.depth;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Dictionary.prototype, "limit", {
        get: function () {
            return this.config.limit;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Dictionary.prototype, "extensions", {
        get: function () {
            return this.config.extensions;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Dictionary.prototype, "sort", {
        get: function () {
            return this.config.sort;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Dictionary.prototype, "ignore", {
        get: function () {
            return this.config.ignore;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Dictionary.prototype, "filter", {
        get: function () {
            return this.config.filter;
        },
        enumerable: false,
        configurable: true
    });
    return Dictionary;
}());
export { Dictionary };
export default Dictionary;
//# sourceMappingURL=dictionary.js.map