import LevelIgnorer from "./level-ignorer";
var LevelSorter = (function () {
    function LevelSorter(sort, ignore) {
        this.sort = sort;
        this.ignore = ignore;
    }
    LevelSorter.prototype.apply = function (levels) {
        var sort = this.sort;
        var ignore = this.ignore;
        var keys = sort.keys;
        var ignorer = new LevelIgnorer(ignore);
        var matches = this.getMatches(levels, keys);
        var fails = ignorer.apply(levels, matches);
        return matches.concat(fails);
    };
    LevelSorter.prototype.getMatches = function (levels, rules) {
        var allMatches = [];
        var notMatched = [];
        for (var _i = 0, rules_1 = rules; _i < rules_1.length; _i++) {
            var rule = rules_1[_i];
            var ruleMatches = [];
            for (var _a = 0, levels_1 = levels; _a < levels_1.length; _a++) {
                var level = levels_1[_a];
                var path = level.path;
                var includeRule = path.includes(rule);
                var equalsRule = path === rule;
                if (includeRule || equalsRule) {
                    ruleMatches.push(level);
                }
                else {
                    notMatched.push(level);
                }
            }
            allMatches = allMatches.concat(ruleMatches);
            levels = notMatched.map(function (level) { return level; });
            notMatched = [];
        }
        return allMatches;
    };
    return LevelSorter;
}());
export { LevelSorter };
export default LevelSorter;
//# sourceMappingURL=level-sorter.js.map