import LevelIgnorer from "./level-ignorer";
import LevelSorter from "./level-sorter";
var LevelStorage = (function () {
    function LevelStorage(path, sort, ignore) {
        this.sorter = new LevelSorter(sort, ignore);
        this.ignorer = new LevelIgnorer(ignore);
        this.storage = [{ path: path, level: 0 }];
        this.history = [{ path: path, level: 0 }];
    }
    LevelStorage.prototype.put = function (searches) {
        var storage = this.storage;
        var history = this.history;
        var ignorer = this.ignorer;
        var sorter = this.sorter;
        var filteredPaths = ignorer.apply(searches, history);
        var concatedPaths = storage.concat(filteredPaths);
        var newStorage = sorter.apply(concatedPaths);
        var newHistory = history.concat(filteredPaths);
        this.storage = newStorage;
        this.history = newHistory;
    };
    LevelStorage.prototype.get = function () {
        return this.storage.shift();
    };
    Object.defineProperty(LevelStorage.prototype, "empty", {
        get: function () {
            return (this.storage.length === 0);
        },
        enumerable: false,
        configurable: true
    });
    return LevelStorage;
}());
export { LevelStorage };
export default LevelStorage;
//# sourceMappingURL=level-storage.js.map