import Loader from './loader';
import chalk from 'chalk';
var Logger = (function () {
    function Logger() {
        this.type = 'none';
        this.loader = new Loader();
    }
    Logger.prototype.cli = function (verbose) {
        this.type = verbose ? 'verbose' : 'cli';
    };
    Logger.prototype.error = function (message) {
        console.log(chalk.red(message));
    };
    Logger.prototype.force = function (message) {
        console.log(chalk.yellow(message));
    };
    Logger.prototype.log = function (message, status) {
        var log = this.format(message, status);
        if (this.type === 'verbose') {
            this.info(log);
        }
        else if (this.type === 'cli') {
            this.update(log);
        }
    };
    Logger.prototype.format = function (message, status) {
        var payload = message;
        var now = new Date();
        var date = now.toTimeString();
        var time = date.split(' ')[0];
        var dash = this.loader.next();
        var hour = chalk.blue(time);
        var loader = chalk.red(dash);
        var available = [
            { name: 'success', action: function (msg) { return chalk.green(msg); } },
            { name: 'warn', action: function (msg) { return chalk.yellow(msg); } },
            { name: 'danger', action: function (msg) { return chalk.red(msg); } },
        ];
        if (status) {
            var name_1 = available.map(function (av) { return av.name; });
            var index = name_1.indexOf(status);
            if (index !== -1) {
                payload = available[index].action(message);
            }
        }
        return loader + " | [" + hour + "] " + payload;
    };
    Logger.prototype.info = function (message) {
        console.log(message);
    };
    Logger.prototype.update = function (message) {
    };
    return Logger;
}());
export var logger = new Logger();
export default logger;
//# sourceMappingURL=logger.js.map