import cliExamples from './cli-examples';
import cliHelp from './cli-help';
import commander from 'commander';
var CliActions = (function () {
    function CliActions() {
        this.actions = [
            { name: 'showHelp', run: cliHelp, checked: false },
            { name: 'showExample', run: cliExamples, checked: false },
        ];
    }
    CliActions.prototype.check = function () {
        var path = commander.path;
        var type = commander.type;
        var example = commander.example;
        var showExampleIndex = this.actions.map(function (action) { return action.name; }).indexOf('showExample');
        var showHelpIndex = this.actions.map(function (action) { return action.name; }).indexOf('showHelp');
        if (!path && !type) {
            if (example) {
                this.actions[showExampleIndex].checked = true;
            }
            else {
                this.actions[showHelpIndex].checked = true;
            }
        }
    };
    CliActions.prototype.show = function () {
        for (var _i = 0, _a = this.actions; _i < _a.length; _i++) {
            var action = _a[_i];
            if (action.checked) {
                action.run();
            }
        }
    };
    Object.defineProperty(CliActions.prototype, "hasAction", {
        get: function () {
            for (var _i = 0, _a = this.actions; _i < _a.length; _i++) {
                var action = _a[_i];
                if (action.checked) {
                    return true;
                }
            }
            return false;
        },
        enumerable: false,
        configurable: true
    });
    return CliActions;
}());
export { CliActions };
export default CliActions;
//# sourceMappingURL=cli-actions.js.map