import CliOptions from './cli-options';
import CliActions from './cli-actions';
import CliErrors from './cli-errors';
import cliLogo from './cli-logo';
import cliInfo from './cli-info';
import commander from 'commander';
var CliArguments = (function () {
    function CliArguments() {
        this.options = new CliOptions();
        this.actions = new CliActions();
        this.errors = new CliErrors();
    }
    CliArguments.prototype.create = function () {
        this.options.create();
        this.errors.check();
        this.actions.check();
    };
    CliArguments.prototype.output = function () {
        this.errors.show();
        this.actions.show();
    };
    CliArguments.prototype.info = function () {
        cliLogo();
        cliInfo();
    };
    Object.defineProperty(CliArguments.prototype, "canRun", {
        get: function () {
            return (!this.errors.hasError && !this.actions.hasAction);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CliArguments.prototype, "vars", {
        get: function () {
            return {
                type: commander.type,
                path: commander.path,
                example: commander.example,
                verbose: commander.verbose,
            };
        },
        enumerable: false,
        configurable: true
    });
    return CliArguments;
}());
export { CliArguments };
export default CliArguments;
//# sourceMappingURL=cli-arguments.js.map