import cliPackage from './cli-package';
import commander from 'commander';
var CliOptions = (function () {
    function CliOptions() {
        this.options = [
            { flags: '-P, --path <url>', description: 'specifies the path for scan [required]' },
            { flags: '-T, --type <type>', description: 'specifies the type of search [required]' },
            { flags: '-v, --verbose', description: 'enable application search logs (cli only)' },
            { flags: '-e, --example', description: 'show command line examples (cli only)' },
        ];
        this.version = cliPackage.version;
        this.description = cliPackage.description;
        this.homepage = cliPackage.homepage;
    }
    CliOptions.prototype.create = function () {
        commander.version(this.version);
        commander.description(this.description + " (" + this.homepage + ")");
        for (var _i = 0, _a = this.options; _i < _a.length; _i++) {
            var option = _a[_i];
            commander.option(option.flags, option.description);
        }
        commander.parse(process.argv);
    };
    return CliOptions;
}());
export { CliOptions };
export default CliOptions;
//# sourceMappingURL=cli-options.js.map