"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Dictionary = void 0;
var javascript_search_1 = __importDefault(require("../utils/searches/javascript-search"));
var stream_search_1 = __importDefault(require("../utils/searches/stream-search"));
var video_search_1 = __importDefault(require("../utils/searches/video-search"));
var audio_search_1 = __importDefault(require("../utils/searches/audio-search"));
var font_search_1 = __importDefault(require("../utils/searches/font-search"));
var url_search_1 = __importDefault(require("../utils/searches/url-search"));
var img_search_1 = __importDefault(require("../utils/searches/img-search"));
var css_search_1 = __importDefault(require("../utils/searches/css-search"));
var php_search_1 = __importDefault(require("../utils/searches/php-search"));
var Dictionary = /** @class */ (function () {
    function Dictionary(type) {
        this.type = type;
        this.searches = {
            'url': url_search_1.default,
            'font': font_search_1.default,
            'img': img_search_1.default,
            'audio': audio_search_1.default,
            'video': video_search_1.default,
            'stream': stream_search_1.default,
            'javascript': javascript_search_1.default,
            'css': css_search_1.default,
            'php': php_search_1.default,
        };
    }
    Object.defineProperty(Dictionary.prototype, "config", {
        get: function () {
            return this.searches[this.type];
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Dictionary.prototype, "depth", {
        get: function () {
            return this.config.depth;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Dictionary.prototype, "limit", {
        get: function () {
            return this.config.limit;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Dictionary.prototype, "extensions", {
        get: function () {
            return this.config.extensions;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Dictionary.prototype, "sort", {
        get: function () {
            return this.config.sort;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Dictionary.prototype, "ignore", {
        get: function () {
            return this.config.ignore;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Dictionary.prototype, "rules", {
        get: function () {
            return this.config.rules;
        },
        enumerable: false,
        configurable: true
    });
    return Dictionary;
}());
exports.Dictionary = Dictionary;
exports.default = Dictionary;
