"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LevelIgnorer = void 0;
var LevelIgnorer = /** @class */ (function () {
    function LevelIgnorer(ignore) {
        this.ignore = ignore;
    }
    LevelIgnorer.prototype.apply = function (levelList, ignoreList) {
        var matches = [];
        var rules = [];
        rules = rules.concat(ignoreList.map(function (level) { return level.path; }));
        rules = rules.concat(this.ignore.extensions);
        rules = rules.concat(this.ignore.keys);
        matches = levelList;
        rules.map(function (rule) {
            matches = matches.filter(function (match) {
                var includeRule = match.path.includes(rule);
                var equalsRule = match.path === rule;
                return !(includeRule || equalsRule);
            });
        });
        return matches;
    };
    return LevelIgnorer;
}());
exports.LevelIgnorer = LevelIgnorer;
exports.default = LevelIgnorer;
