"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LevelStorage = void 0;
var level_ignorer_1 = __importDefault(require("./level-ignorer"));
var level_sorter_1 = __importDefault(require("./level-sorter"));
var LevelStorage = /** @class */ (function () {
    function LevelStorage(path, sort, ignore) {
        this.sorter = new level_sorter_1.default(sort, ignore);
        this.ignorer = new level_ignorer_1.default(ignore);
        this.storage = [{ path: path, level: 0 }];
        this.history = [{ path: path, level: 0 }];
    }
    LevelStorage.prototype.put = function (searches) {
        var storage = this.storage;
        var history = this.history;
        var ignorer = this.ignorer;
        var sorter = this.sorter;
        var filteredPaths = ignorer.apply(searches, history);
        var concatedPaths = storage.concat(filteredPaths);
        var newStorage = sorter.apply(concatedPaths);
        var newHistory = history.concat(filteredPaths);
        this.storage = newStorage;
        this.history = newHistory;
    };
    LevelStorage.prototype.get = function () {
        return this.storage.shift();
    };
    Object.defineProperty(LevelStorage.prototype, "empty", {
        get: function () {
            return (this.storage.length === 0);
        },
        enumerable: false,
        configurable: true
    });
    return LevelStorage;
}());
exports.LevelStorage = LevelStorage;
exports.default = LevelStorage;
