"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CliActions = void 0;
var cli_examples_1 = __importDefault(require("./cli-examples"));
var cli_help_1 = __importDefault(require("./cli-help"));
var commander_1 = __importDefault(require("commander"));
var CliActions = /** @class */ (function () {
    function CliActions() {
        this.actions = [
            { name: 'showHelp', run: cli_help_1.default, checked: false },
            { name: 'showExample', run: cli_examples_1.default, checked: false },
        ];
    }
    CliActions.prototype.check = function () {
        var path = commander_1.default.path;
        var type = commander_1.default.type;
        var example = commander_1.default.example;
        var showExampleIndex = this.actions.map(function (action) { return action.name; }).indexOf('showExample');
        var showHelpIndex = this.actions.map(function (action) { return action.name; }).indexOf('showHelp');
        if (!path && !type) {
            if (example) {
                this.actions[showExampleIndex].checked = true;
            }
            else {
                this.actions[showHelpIndex].checked = true;
            }
        }
    };
    CliActions.prototype.show = function () {
        for (var _i = 0, _a = this.actions; _i < _a.length; _i++) {
            var action = _a[_i];
            if (action.checked) {
                action.run();
            }
        }
    };
    Object.defineProperty(CliActions.prototype, "hasAction", {
        get: function () {
            for (var _i = 0, _a = this.actions; _i < _a.length; _i++) {
                var action = _a[_i];
                if (action.checked) {
                    return true;
                }
            }
            return false;
        },
        enumerable: false,
        configurable: true
    });
    return CliActions;
}());
exports.CliActions = CliActions;
exports.default = CliActions;
