"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CliArguments = void 0;
var cli_options_1 = __importDefault(require("./cli-options"));
var cli_actions_1 = __importDefault(require("./cli-actions"));
var cli_errors_1 = __importDefault(require("./cli-errors"));
var cli_logo_1 = __importDefault(require("./cli-logo"));
var cli_info_1 = __importDefault(require("./cli-info"));
var commander_1 = __importDefault(require("commander"));
var CliArguments = /** @class */ (function () {
    function CliArguments() {
        this.options = new cli_options_1.default();
        this.actions = new cli_actions_1.default();
        this.errors = new cli_errors_1.default();
    }
    CliArguments.prototype.create = function () {
        this.options.create();
        this.errors.check();
        this.actions.check();
    };
    CliArguments.prototype.output = function () {
        this.errors.show();
        this.actions.show();
    };
    CliArguments.prototype.info = function () {
        cli_logo_1.default();
        cli_info_1.default();
    };
    Object.defineProperty(CliArguments.prototype, "canRun", {
        get: function () {
            return (!this.errors.hasError && !this.actions.hasAction);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CliArguments.prototype, "vars", {
        get: function () {
            return {
                type: commander_1.default.type,
                path: commander_1.default.path,
                example: commander_1.default.example,
                verbose: commander_1.default.verbose,
            };
        },
        enumerable: false,
        configurable: true
    });
    return CliArguments;
}());
exports.CliArguments = CliArguments;
exports.default = CliArguments;
