"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.cliExamples = void 0;
var chalk_1 = __importDefault(require("chalk"));
function cliExamples() {
    console.log('');
    console.log('    Run patofinder with the --path and --type options to start the application:');
    console.log('    » path: the path you want to scan');
    console.log('    » type: what do you want to search for');
    console.log('');
    console.log('    Search for a specific audio in a url:');
    console.log('    ' + chalk_1.default.bgWhite(chalk_1.default.black('patofinder --path http://foo.bar.com --type audio')));
    console.log('    Search for a specific video and enable logs:');
    console.log('    ' + chalk_1.default.bgWhite(chalk_1.default.black('patofinder --path http://foo.bar.com --type video --verbose')));
    console.log('');
    console.log('    Available search types (check github for a more detailed description for each one):');
    console.log('    » audio                  # Search in a url for audio types');
    console.log('    » css                    # Search in a url for links with css');
    console.log('    » font                   # Search in a url for linked fonts');
    console.log('    » img                    # Search in a url for images');
    console.log('    » javascript             # Search in a url for javascript files');
    console.log('    » php                    # Search in a url for php paths');
    console.log('    » stream                 # Search in a url for online streaming');
    console.log('    » url                    # Search in a url for all linked urls');
    console.log('    » video                  # Search in a url for video types');
    console.log('');
}
exports.cliExamples = cliExamples;
exports.default = cliExamples;
