"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CliOptions = void 0;
var cli_package_1 = __importDefault(require("./cli-package"));
var commander_1 = __importDefault(require("commander"));
var CliOptions = /** @class */ (function () {
    function CliOptions() {
        this.options = [
            { flags: '-P, --path <url>', description: 'specifies the path for scan [required]' },
            { flags: '-T, --type <type>', description: 'specifies the type of search [required]' },
            { flags: '-v, --verbose', description: 'enable application search logs (cli only)' },
            { flags: '-e, --example', description: 'show command line examples (cli only)' },
        ];
        this.version = cli_package_1.default.version;
        this.description = cli_package_1.default.description;
        this.homepage = cli_package_1.default.homepage;
    }
    CliOptions.prototype.create = function () {
        commander_1.default.version(this.version);
        commander_1.default.description(this.description + " (" + this.homepage + ")");
        for (var _i = 0, _a = this.options; _i < _a.length; _i++) {
            var option = _a[_i];
            commander_1.default.option(option.flags, option.description);
        }
        commander_1.default.parse(process.argv);
    };
    return CliOptions;
}());
exports.CliOptions = CliOptions;
exports.default = CliOptions;
