"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.streamRule = void 0;
var ffprobe = require("ffprobe");
var ffprobeStatic = require("ffprobe-static");
function streamRule(data) {
    return __awaiter(this, void 0, void 0, function () {
        var extensions, path, info, streams, _i, streams_1, streaming, streamingPoints, rules, _a, rules_1, rule;
        return __generator(this, function (_b) {
            switch (_b.label) {
                case 0:
                    extensions = data.extensions;
                    path = data.searchPath;
                    return [4 /*yield*/, ffprobe(path, { path: ffprobeStatic.path })];
                case 1:
                    info = _b.sent();
                    if (extensions && path && info) {
                        streams = info.streams;
                        for (_i = 0, streams_1 = streams; _i < streams_1.length; _i++) {
                            streaming = streams_1[_i];
                            streamingPoints = 0;
                            rules = [
                                { points: 4, name: "isValidFormat", value: (extensions.indexOf("." + streaming.codec_name) !== -1) },
                                { points: 1, name: "hasntStartTime", value: (typeof streaming.start_time === "undefined") },
                                { points: 1, name: "hasntStartPts", value: (typeof streaming.start_pts === "undefined") },
                                { points: 1, name: "hasntDuration", value: (typeof streaming.duration === "undefined") },
                                { points: 1, name: "hasntDurationTs", value: (typeof streaming.duration_ts === "undefined") },
                            ];
                            for (_a = 0, rules_1 = rules; _a < rules_1.length; _a++) {
                                rule = rules_1[_a];
                                if (rule.value) {
                                    streamingPoints += rule.points;
                                }
                            }
                            if (streamingPoints >= 6) {
                                return [2 /*return*/, true];
                            }
                        }
                    }
                    return [2 /*return*/, false];
            }
        });
    });
}
exports.streamRule = streamRule;
exports.default = streamRule;
