"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.javascriptSearch = void 0;
var javascript_extensions_1 = __importDefault(require("../extensions/javascript-extensions"));
var empty_ignore_1 = __importDefault(require("../ignores/empty-ignore"));
var empty_sort_1 = __importDefault(require("../sorts/empty-sort"));
var includes_rule_1 = __importDefault(require("../rules/includes-rule"));
var not_same_rule_1 = __importDefault(require("../rules/not-same-rule"));
exports.javascriptSearch = {
    type: 'javascript',
    depth: 'all',
    limit: 1,
    extensions: javascript_extensions_1.default,
    sort: empty_sort_1.default,
    ignore: empty_ignore_1.default,
    rules: [
        includes_rule_1.default,
        not_same_rule_1.default,
    ]
};
exports.default = exports.javascriptSearch;
